An AJAX HTTP error occurs when I try to apply update for drupal modules.

The OpenShift forums have been retired.
You can still read and search them, but for help, please post a question on Stack Overflow.

I recently migrated my drupal blog to openshift and everything was working great until I tried to apply updates to my modules.

Each time I try to run my update I get this following error. Is there a way around this error?

An AJAX HTTP error occurred. HTTP Result Code: 502 Debugging information follows. Path: http://www.chrisguindon.com/update.php?op=selection&token=zSayliHGvAsCEFg0KzLt5IeRmEghHgLQjB9SAs_UAFg&id=114&op=do StatusText: Proxy Error ResponseText: 502 Proxy Error Proxy Error The proxy server received an invalid response from an upstream server. The proxy server could not handle the request POST /update.php. Reason: Error reading from remote server Apache/2.2.15 (Red Hat) Server at www.chrisguindon.com Port 80

thanks

Hi Christopher;

Thank you for your interest in OpenShift!

Can you help me understand what type of update/upgrade you tried, as well as the procedures.

I wasn't able to reproduce as I deployed https://github.com/openshift/drupal-example and updated to version 7.12 with the following procedures:
1) Deploy the https://github.com/openshift/drupal-example sample
2) Ran:
> git pull -s recursive -X theirs upstream master
to see if it modified any files during runtime
3) Downloaded drupal 7.12 (based on recommended security updates)
4) Ran:
> cd ~/{appName}
> cp -R ~/Downloads/drupal-7.12/* ~/Downloads/drupal-7.12/.htaccess ./php/.
> git add .
> git commit -a -m "update to Drupal 7.12"
> git push
5) On my FF browser, hit http://{AppURL}/update.php. (Followed instructions to put site in maintenance mode before and back to normal after update).

The update took ~5s in my experience and was successful. I'm also wondering what browser you used as well as how long the update took before you ran into the 502. If over 60s, you might have run into browser timeout, in which case, you might want to retry (you might have more to update than I do).

Thanks;
~Nam

HI Nam I have problem upgrading drupal-core 7.7---->7.15 Would you give us some details;inded when hitting: "git push" i have an answer: "remote already exists" and if i add the parameters "--set-upstream master" i got: "fatal $:info/refs not found." -----> and of course my app was'nt update In fact i'm not used to backup my remote database but i follow yours first steps [1 - 2 - 3 -4 ]without difficulty. thanks :)

@admin - Following instructions put together by Nam worked like magic. Just make sure you are running those commands from inside your local drupal application directory. In case you have created the drupal 7.7 application using OpenShift web console then first git clone the application and run Nam's steps later. For cloning, you can refer to the https://www.openshift.com/kb/kb-e1030-how-to-modify-the-application-that-was-created-through-the-web-console

If all are leading to same errors, I need your original commands and their output.

Thanks

hi my installation in rhcloud was'nt finished:i had'nt installed 'puTTy' on my local pc windows 7 but after that have some troubles with SHH client; i cannot open a remote access (ssh connection) your host answers: "disconneted:no supported authentification methods available". so i'm still stuck at this step of the 'drupal's minor upgrade'. Thanks for an answer

Hi @admin;

Here's a blog related to Putty which has lots of setup information: https://www.openshift.com/blogs/access-your-application-gear-using-ssh-with-putty

Can you please take a look at it and see if it helps? Then if you are still unable to log in, please let us know. There are a few other sites around that error, but the blog should be all you need.

Thanks;
~Nam

Hi i follow the instructions given by your last link;unfortunately server rejects my connection: "Disconneted:No supported authentification methods availble(server sent:publickey,gssapi-keyex,gssapi-with-mic)"

Thanks for the information - I am going to try your way - I was trying to follow Drupals recommended upgrade (simple update) - this works when I manually do it on other sites but fails when I try on openshift - I am not used to git so I assume this is my problem but I would appreciate your reply.

  1. Do clone git clone ssh://.rhcloud.com/~/git/group.git/
  2. cd /
  3. Delete directories & Files for upgrade.
  4. $ git add -u
  5. git commit -a -m "Custom Message"
  6. $ git push
  7. Copy new directories and files
  8. $ git add -u
  9. git commit -a -m "Custom Message"
  10. $ git push

You should be able to do a server update. Let us know what errors you're getting. Once the update is complete, you'll just need to synch your local git repo with the source as per: https://www.openshift.com/kb/kb-e1065-what-is-application-crud-and-how-should-i-handle-it-in-openshift